Namespace
roundcube
Image / Tag
roundcubemail:1.6.9-fpm-alpine-nonroot
Content Digest
sha256:8093bbe6787878bc256552186594cfeba93651a0c719f67466a6004d40d8e813
Details
Created

2025-04-15 19:51:54 UTC

Size

61 MB

Content Digest
Labels
  • maintainer
    Thomas Bruederli <[email protected]>
  • org.opencontainers.image.source
    https://github.com/roundcube/roundcubemail-docker

Environment
GPG_KEYS

528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.1.32.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

PHP_URL

https://www.php.net/distributions/php-8.1.32.tar.xz

PHP_VERSION

8.1.32

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.10


Layers

[#000] sha256:69aa61ccf55e5bf8e7a069b89e8afb42b4f3443b3785868795af8046d810d608 - 5.42% (3.3 MB)

[#001] sha256:56ac7de3ff81ed8a9439884141663fd2cd468ff080bb7c4a56688d515bace22a - 5.28% (3.22 MB)

[#002] sha256:8643fc8cd132e8ff9ad7b0bfc364788d3387bbf38c660142e8b2f99c5e5b0475 - 0.0% (934 Bytes)

[#003] sha256:6a25610b81373a5227f0252acc486b3ccdb26537f082534fc5f4a8e0113916a7 - 0.0% (220 Bytes)

[#004] sha256:ea535ed38f5efa8440f2db80fef2591e7935e14d3f5008e2c9cba74739098e51 - 18.64% (11.4 MB)

[#005] sha256:a489c5ce6bb2fc204152c94a5654ae1b01143a5878b661795500bd3dab46008f - 0.0% (490 Bytes)

[#006] sha256:3bee8266a92336aeacdbe250f26e3cebd2af84d53b04a82c26c262bc16a7a657 - 20.42% (12.4 MB)

[#007] sha256:001c57032d2a088c574037165d417afd895fc4600228bf092d72e2b71537fcaa - 0.0% (2.39 KB)

[#008] sha256:315b3f3cf13aa1ac83ac38ef2257ed55d417c9c4d389da7d91c986fc54f714b5 - 0.03% (19.6 KB)

[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#010] sha256:29709dfcc26ef5da145fc24233350e2c194565942e8685e7405a833861ee12dc - 0.01% (8.67 KB)

[#011] sha256:e1478aa4a234d2d92e86e70db2565f6cf21960b65a3926ea33a92efaa9227624 - 2.79% (1.7 MB)

[#012] sha256:38452930b1431c430348a17cdfd0952e9e367ee84604e48861883497e5595ec2 - 8.51% (5.19 MB)

[#013] sha256:70e68ee682c26f78f8dd238cbb89910e9f8b6a183b2653057de6f1e30cf302f3 - 20.68% (12.6 MB)

[#014] sha256:52cfc68187a5139b3fba73bfe55af1129a3135e9cf6b0828d4d4137ac4c0ce02 - 1.17% (733 KB)

[#015] sha256:c1c4d82439ef7290448dc406bdd62ca8d7e5c4d61e60dea06f20dca1a7a0e189 - 0.04% (23.6 KB)

[#016] sha256:f68278c973507da103825cee0f5062f53f585406d43920dac5254ad87fc16c92 - 0.0% (363 Bytes)

[#017] sha256:52b540a82eefca6c84aa11ff85a67d38a7fdc57c4dc81780aba6ecbb15eecf68 - 0.0% (2.47 KB)

[#018] sha256:6f24a65103493367b42e7986b81933b9bf1ea8ff44a37ff4923e358b3be44b6e - 17.0% (10.4 MB)


History
2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

ADD alpine-minirootfs-3.21.3-x86.tar.gz / # buildkit

2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

CMD ["/bin/sh"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_INI_DIR=/usr/local/etc/php

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_LDFLAGS=-Wl,-O1 -pie

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_VERSION=8.1.32

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_URL=https://www.php.net/distributions/php-8.1.32.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.32.tar.xz.asc

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_SHA256=c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-source /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev patch patchutils readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; curl -fL 'https://github.com/php/php-src/commit/577b8ae4226368e66fee7a9b5c58f9e2428372fc.patch?full_index=1' -o 11678.patch; echo '6edc20c3bb3e7cc13515abce7f2fffa8ebea6cf7469abfbc78fcdc120350b239 *11678.patch' | sha256sum -c -; patch -p1 < 11678.patch; rm 11678.patch; curl -fL 'https://github.com/php/php-src/commit/67259e451d5d58b4842776c5696a66d74e157609.patch?full_index=1' -o 14834.patch; echo 'ed10a1b254091ad676ed204e55628ecbd6c8962004d6185a1821cedecd526c0f *14834.patch' | sha256sum -c -; filterdiff -x '*/NEWS' 14834.patch | patch -p1; rm 14834.patch; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c docker-php-ext-enable sodium # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-php-entrypoint"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

WORKDIR /var/www/html

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGQUIT

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

EXPOSE map[9000/tcp:{}]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk upgrade --no-cache # buildkit

2025-04-15 19:46:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; if [ "fpm-alpine" = "apache" ]; then a2enmod rewrite; fi; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit

2025-04-15 19:51:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; extdir="$(php -r 'echo ini_get("extension_dir");')"; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive $extdir | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit

2025-04-15 19:51:51 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2025-04-15 19:51:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit

2025-04-15 19:51:51 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2025-04-15 19:51:51 UTC (buildkit.dockerfile.v0)

COPY --chmod=0755 docker-entrypoint.sh / # buildkit

2025-04-15 19:51:51 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.10

2025-04-15 19:51:51 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2025-04-15 19:51:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache gnupg; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit

2025-04-15 19:51:54 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2025-04-15 19:51:54 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 19:51:54 UTC (buildkit.dockerfile.v0)

USER 82:82

Details
Created

2025-04-15 19:51:42 UTC

Size

60.5 MB

Content Digest
Labels
  • maintainer
    Thomas Bruederli <[email protected]>
  • org.opencontainers.image.source
    https://github.com/roundcube/roundcubemail-docker

Environment
GPG_KEYS

528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.1.32.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

PHP_URL

https://www.php.net/distributions/php-8.1.32.tar.xz

PHP_VERSION

8.1.32

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.10


Layers

[#000] sha256:f18232174bc91741fdf3da96d85011092101a032a93a388b79e99e69c2d5c870 - 5.74% (3.47 MB)

[#001] sha256:7d7b997aec93d2d5e0056908ab28ad5d271af097d5f3eddb11a3e9b9a1051f0c - 5.26% (3.18 MB)

[#002] sha256:9dee8d5aa28826b12a202a72256b565b97723dc38b5ea55433d867a94cb5b2c0 - 0.0% (932 Bytes)

[#003] sha256:43201b5a2ef18b4e4efaf7292339d594934bc2bec1a80ab816d70c54435861ec - 0.0% (215 Bytes)

[#004] sha256:a97f8846657962f1c1166ec33b68431814fe4977cd9f203b95ade2191f6df122 - 18.78% (11.4 MB)

[#005] sha256:13ca4ca884e6e4cab0d09b65985ca0a14a5c426ecef4f113a72662f8603dba69 - 0.0% (490 Bytes)

[#006] sha256:dff36fb80ecbbbe7f79c6183684f7cd1c7cd28d40bbac3d02ee79e353c4164e1 - 20.08% (12.2 MB)

[#007] sha256:6ff395ff5ef28994cc6df8388b6fc5213f4921d5ce932ef7dfb03a2af232d6dd - 0.0% (2.39 KB)

[#008] sha256:bfca30c805a9ffe020a4030fb3f3057f4ba3b956c1ac01ca5f9582af4a8b8615 - 0.03% (19.6 KB)

[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#010] sha256:99584b3a6732a6917bfe6fd57bd7aebe789db1ba41a13e56605871796ba5c9ab - 0.01% (8.67 KB)

[#011] sha256:e7f629eeff221343a50e3bc5118b865b65affb83493a2bd4855a107900ab7b70 - 2.61% (1.58 MB)

[#012] sha256:f5ac6e79951782eac5632e7e3c71bc7f2c5a5fccd28173bf52d63dad50c78431 - 8.36% (5.06 MB)

[#013] sha256:f1cbe84ec75687078abffe8019154eea132323d9c39b306b625f2a1d03934956 - 20.58% (12.5 MB)

[#014] sha256:423f55a48896888405d1976f9fc1dd2fe23b3b1c82bc9553f7140074bf89d875 - 1.18% (733 KB)

[#015] sha256:54c897eaff750421168ecb67c753983a1553509e93d67998d5a77bd8baef3781 - 0.04% (23.6 KB)

[#016] sha256:8f4ba8fa04a60b2849e1453cb60da3d9796ab463b1b28becd262864a5d10a8da - 0.0% (363 Bytes)

[#017] sha256:52b540a82eefca6c84aa11ff85a67d38a7fdc57c4dc81780aba6ecbb15eecf68 - 0.0% (2.47 KB)

[#018] sha256:ea56c3179c9a631238fa51205790ba0390c5e7a0e9a7b458f820a777e1c728e5 - 17.32% (10.5 MB)


History
2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

ADD alpine-minirootfs-3.21.3-x86_64.tar.gz / # buildkit

2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

CMD ["/bin/sh"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_INI_DIR=/usr/local/etc/php

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_LDFLAGS=-Wl,-O1 -pie

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_VERSION=8.1.32

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_URL=https://www.php.net/distributions/php-8.1.32.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.32.tar.xz.asc

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_SHA256=c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-source /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev patch patchutils readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; curl -fL 'https://github.com/php/php-src/commit/577b8ae4226368e66fee7a9b5c58f9e2428372fc.patch?full_index=1' -o 11678.patch; echo '6edc20c3bb3e7cc13515abce7f2fffa8ebea6cf7469abfbc78fcdc120350b239 *11678.patch' | sha256sum -c -; patch -p1 < 11678.patch; rm 11678.patch; curl -fL 'https://github.com/php/php-src/commit/67259e451d5d58b4842776c5696a66d74e157609.patch?full_index=1' -o 14834.patch; echo 'ed10a1b254091ad676ed204e55628ecbd6c8962004d6185a1821cedecd526c0f *14834.patch' | sha256sum -c -; filterdiff -x '*/NEWS' 14834.patch | patch -p1; rm 14834.patch; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c docker-php-ext-enable sodium # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-php-entrypoint"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

WORKDIR /var/www/html

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGQUIT

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

EXPOSE map[9000/tcp:{}]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk upgrade --no-cache # buildkit

2025-04-15 19:46:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; if [ "fpm-alpine" = "apache" ]; then a2enmod rewrite; fi; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit

2025-04-15 19:51:37 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; extdir="$(php -r 'echo ini_get("extension_dir");')"; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive $extdir | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit

2025-04-15 19:51:37 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2025-04-15 19:51:38 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit

2025-04-15 19:51:38 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2025-04-15 19:51:38 UTC (buildkit.dockerfile.v0)

COPY --chmod=0755 docker-entrypoint.sh / # buildkit

2025-04-15 19:51:38 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.10

2025-04-15 19:51:38 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2025-04-15 19:51:42 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache gnupg; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit

2025-04-15 19:51:42 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2025-04-15 19:51:42 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 19:51:42 UTC (buildkit.dockerfile.v0)

USER 82:82

Details
Created

2025-04-15 20:27:01 UTC

Size

57.8 MB

Content Digest
Labels
  • maintainer
    Thomas Bruederli <[email protected]>
  • org.opencontainers.image.source
    https://github.com/roundcube/roundcubemail-docker

Environment
GPG_KEYS

528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.1.32.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

PHP_URL

https://www.php.net/distributions/php-8.1.32.tar.xz

PHP_VERSION

8.1.32

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.10


Layers

[#000] sha256:76099982f06682e28a60c3b774ef20931d07b0a2f551203484e633d8c0361ee7 - 5.55% (3.21 MB)

[#001] sha256:5ee7560caccbd432ecca159038f0b286f2c0b02efec5546bf18a775ad0e99486 - 5.46% (3.16 MB)

[#002] sha256:9633ce950391c85eec86506afa8a80635896647c5785246258ef925ff53571b2 - 0.0% (932 Bytes)

[#003] sha256:25cec00a4490a77b96f81fdbda726d926b9b6c604919f947a6b1af7adfd131e9 - 0.0% (223 Bytes)

[#004] sha256:bc697e640fdf7c95632b75f83db5776be2d4fac47736631609c8f5d1015fc618 - 19.66% (11.4 MB)

[#005] sha256:66a73ad87ee15139514c99ef994368414968ccdcfc78bfdb113a23d9ca948c80 - 0.0% (493 Bytes)

[#006] sha256:9b2e8e3644380e63c590ad28d7a2c76c15453af42da651f239ca2a9e2e98233c - 18.93% (10.9 MB)

[#007] sha256:96f36589a2275437b2c8886c883b48f5725b3a40b3d1fce1912bdf2aefe4d43a - 0.0% (2.39 KB)

[#008] sha256:5cb167084fc936f7c3515d6203c35c5fdb8a5408cbb12a46f92ad8b381fb0ca0 - 0.03% (19.4 KB)

[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#010] sha256:3d2deffbcc67f7f178782a020497909826730ad72fb345a80cca93ffabd4b3ce - 0.01% (8.67 KB)

[#011] sha256:a7da49556e9178c5d47a795154484e63b6a02f77e0c755b5aafc242878c02fe0 - 2.6% (1.5 MB)

[#012] sha256:a69dd281b935419676a3aa875f7828cf067b4868da09c1448bf2281245b70c19 - 8.76% (5.06 MB)

[#013] sha256:96d211734e9ca262be1c13b639a47cb3bdbe5b2352c7749dec2d97d73b14cfdc - 19.75% (11.4 MB)

[#014] sha256:b643288b031fed01c95f36d7207f29571e73bd44f84f02d7b0fda1dd7b5e4860 - 1.24% (733 KB)

[#015] sha256:aa56f83f446b51cca0b92c365bac7a0960d1ca8dc248261ae5892207154a869a - 0.04% (23.6 KB)

[#016] sha256:d3d560352de0e11fc550a5d7cb81390f491dbecc30b2cc94d97634699aeaf538 - 0.0% (366 Bytes)

[#017] sha256:52b540a82eefca6c84aa11ff85a67d38a7fdc57c4dc81780aba6ecbb15eecf68 - 0.0% (2.47 KB)

[#018] sha256:1f7a87d7da78148eb9e90f8cbffc124119588a8344c694de2e2043e9abbad4ca - 17.95% (10.4 MB)


History
2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

ADD alpine-minirootfs-3.21.3-armhf.tar.gz / # buildkit

2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

CMD ["/bin/sh"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_INI_DIR=/usr/local/etc/php

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_LDFLAGS=-Wl,-O1 -pie

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_VERSION=8.1.32

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_URL=https://www.php.net/distributions/php-8.1.32.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.32.tar.xz.asc

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_SHA256=c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-source /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev patch patchutils readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; curl -fL 'https://github.com/php/php-src/commit/577b8ae4226368e66fee7a9b5c58f9e2428372fc.patch?full_index=1' -o 11678.patch; echo '6edc20c3bb3e7cc13515abce7f2fffa8ebea6cf7469abfbc78fcdc120350b239 *11678.patch' | sha256sum -c -; patch -p1 < 11678.patch; rm 11678.patch; curl -fL 'https://github.com/php/php-src/commit/67259e451d5d58b4842776c5696a66d74e157609.patch?full_index=1' -o 14834.patch; echo 'ed10a1b254091ad676ed204e55628ecbd6c8962004d6185a1821cedecd526c0f *14834.patch' | sha256sum -c -; filterdiff -x '*/NEWS' 14834.patch | patch -p1; rm 14834.patch; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c docker-php-ext-enable sodium # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-php-entrypoint"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

WORKDIR /var/www/html

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGQUIT

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

EXPOSE map[9000/tcp:{}]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk upgrade --no-cache # buildkit

2025-04-15 19:46:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; if [ "fpm-alpine" = "apache" ]; then a2enmod rewrite; fi; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit

2025-04-15 20:26:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; extdir="$(php -r 'echo ini_get("extension_dir");')"; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive $extdir | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit

2025-04-15 20:26:53 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2025-04-15 20:26:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit

2025-04-15 20:26:53 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2025-04-15 20:26:53 UTC (buildkit.dockerfile.v0)

COPY --chmod=0755 docker-entrypoint.sh / # buildkit

2025-04-15 20:26:53 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.10

2025-04-15 20:26:53 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2025-04-15 20:27:01 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache gnupg; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit

2025-04-15 20:27:01 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2025-04-15 20:27:01 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 20:27:01 UTC (buildkit.dockerfile.v0)

USER 82:82

Details
Created

2025-04-15 20:26:55 UTC

Size

55.7 MB

Content Digest
Labels
  • maintainer
    Thomas Bruederli <[email protected]>
  • org.opencontainers.image.source
    https://github.com/roundcube/roundcubemail-docker

Environment
GPG_KEYS

528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.1.32.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

PHP_URL

https://www.php.net/distributions/php-8.1.32.tar.xz

PHP_VERSION

8.1.32

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.10


Layers

[#000] sha256:85f3b18f9f5a8655db86c6dfb02bb01011ffef63d10a173843c5c65c3e9137b7 - 5.3% (2.95 MB)

[#001] sha256:4f58037841180f7071b0cb17f16a917752d43e658ee1f1d1590b910d941697a3 - 5.34% (2.98 MB)

[#002] sha256:d03b42d7db9fed02f8be351555a7c1cb492e5de9aeba350f89727c645ea19994 - 0.0% (933 Bytes)

[#003] sha256:9997ea5283ca84c2230478f14c34317ce0e2df8d2463a0535910174e4ed66809 - 0.0% (222 Bytes)

[#004] sha256:8c009dd426e02e754670fcdfa7fed8c49bba23b9e3d7c640ff739355b4b90a62 - 20.4% (11.4 MB)

[#005] sha256:37b2ab8af22b160dd8e3c85c91f33fdd5a98fdd2faad2c965a8d94cb6d20bf7a - 0.0% (493 Bytes)

[#006] sha256:c174d2372a04345e7b1150e8872209f65381deb58d42932b6737cc700a90f635 - 18.5% (10.3 MB)

[#007] sha256:ea73fb1d03530910b8f3a4110e3ffef8b8c0bb90328105884f27359fe0fefb87 - 0.0% (2.39 KB)

[#008] sha256:295fe70236d4996b62c466d6289b4777a5a1ed56249ec9311557fc39d3142f9b - 0.03% (19.4 KB)

[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#010] sha256:1ee65f62d3cd07e1f0bb1fee8ef6b1c5b1c1513ec58e2fe182ac929e8dc62262 - 0.02% (8.67 KB)

[#011] sha256:1aa2cb8d043411dce7929c276e17aba6ff65ee4493515a22d6ed01d139850ab5 - 2.43% (1.36 MB)

[#012] sha256:97d23e9256ea4c03b4129c86d97c6fbcfb4a2fbfb75f6125b3d81c6ecce352b8 - 8.67% (4.83 MB)

[#013] sha256:b954246034e673502ebc294d83c8634c28a6fda1ea27d89dc67c761e3be6688e - 20.14% (11.2 MB)

[#014] sha256:ae70b26568a6dbc51c4c87776e5e89a13ecd8ac3046576308efb63bd41ff177f - 1.29% (733 KB)

[#015] sha256:464cd11a68ae9f94613c5f9a21d847a452167edf96a77b5d16a0a8306baed18e - 0.04% (23.6 KB)

[#016] sha256:990e4294851df47ce02492a4fb7dce58538848e8c955ddae6490b1545cdf1caf - 0.0% (364 Bytes)

[#017] sha256:52b540a82eefca6c84aa11ff85a67d38a7fdc57c4dc81780aba6ecbb15eecf68 - 0.0% (2.47 KB)

[#018] sha256:0a5adc865c5139a46759e3cf50db9b3014cac6b619442dca6a80cffcd3039bd3 - 17.82% (9.93 MB)


History
2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

ADD alpine-minirootfs-3.21.3-armv7.tar.gz / # buildkit

2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

CMD ["/bin/sh"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_INI_DIR=/usr/local/etc/php

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_LDFLAGS=-Wl,-O1 -pie

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_VERSION=8.1.32

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_URL=https://www.php.net/distributions/php-8.1.32.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.32.tar.xz.asc

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_SHA256=c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-source /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev patch patchutils readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; curl -fL 'https://github.com/php/php-src/commit/577b8ae4226368e66fee7a9b5c58f9e2428372fc.patch?full_index=1' -o 11678.patch; echo '6edc20c3bb3e7cc13515abce7f2fffa8ebea6cf7469abfbc78fcdc120350b239 *11678.patch' | sha256sum -c -; patch -p1 < 11678.patch; rm 11678.patch; curl -fL 'https://github.com/php/php-src/commit/67259e451d5d58b4842776c5696a66d74e157609.patch?full_index=1' -o 14834.patch; echo 'ed10a1b254091ad676ed204e55628ecbd6c8962004d6185a1821cedecd526c0f *14834.patch' | sha256sum -c -; filterdiff -x '*/NEWS' 14834.patch | patch -p1; rm 14834.patch; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c docker-php-ext-enable sodium # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-php-entrypoint"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

WORKDIR /var/www/html

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGQUIT

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

EXPOSE map[9000/tcp:{}]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker

2025-04-15 19:46:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk upgrade --no-cache # buildkit

2025-04-15 19:46:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; if [ "fpm-alpine" = "apache" ]; then a2enmod rewrite; fi; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit

2025-04-15 20:26:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; extdir="$(php -r 'echo ini_get("extension_dir");')"; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive $extdir | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit

2025-04-15 20:26:44 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2025-04-15 20:26:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit

2025-04-15 20:26:44 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2025-04-15 20:26:44 UTC (buildkit.dockerfile.v0)

COPY --chmod=0755 docker-entrypoint.sh / # buildkit

2025-04-15 20:26:44 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.10

2025-04-15 20:26:44 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2025-04-15 20:26:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache gnupg; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit

2025-04-15 20:26:55 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2025-04-15 20:26:55 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 20:26:55 UTC (buildkit.dockerfile.v0)

USER 82:82

Details
Created

2025-04-15 20:28:08 UTC

Size

60.6 MB

Content Digest
Labels
  • maintainer
    Thomas Bruederli <[email protected]>
  • org.opencontainers.image.source
    https://github.com/roundcube/roundcubemail-docker

Environment
GPG_KEYS

528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

PHP_ASC_URL

https://www.php.net/distributions/php-8.1.32.tar.xz.asc

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -pie

PHP_SHA256

c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

PHP_URL

https://www.php.net/distributions/php-8.1.32.tar.xz

PHP_VERSION

8.1.32

ROUNDCUBEMAIL_KEYID

F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

ROUNDCUBEMAIL_VERSION

1.6.10


Layers

[#000] sha256:6e771e15690e2fabf2332d3a3b744495411d6e0b00b2aea64419b58b0066cf81 - 6.28% (3.81 MB)

[#001] sha256:f1eeb5b6ce9478bd6c574eb74b77f0d1b395a57ce5b3c1301f9be9922f5b8709 - 5.24% (3.18 MB)

[#002] sha256:26966b371bd90aa880696c07e5efe82fae85afb1dbbdc01200a938f225097a2f - 0.0% (933 Bytes)

[#003] sha256:1df8ec9c416f52d757beb3b934ea2fba8bda54f1a415fee89e3c4d7160ce5971 - 0.0% (214 Bytes)

[#004] sha256:04ad66fbad6a9ac5b922df9db2a4bf549fc2aae8d356c97d58b22d48e9cbc48e - 18.75% (11.4 MB)

[#005] sha256:0e78657afa8117623ade3d4ef933fc60d16bb3b455bd36d73f2405e15f21ff52 - 0.0% (495 Bytes)

[#006] sha256:e1fa75cd5396493a3c62db3b7e54386d0236e2f08b6fa3a87866389ad101116c - 20.04% (12.1 MB)

[#007] sha256:bf2f1c9c87d18f9fdcea88dc16fd5988f22ecc1ab6ce87183c2bbbb7ccaf06b4 - 0.0% (2.39 KB)

[#008] sha256:eebadeb1a83c43d122bdfdb65bc1213965c01badb85f439f6092cfd5d5a0fa25 - 0.03% (19.4 KB)

[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#010] sha256:1f818bbb56b74e2e19fda798705ae7ce30c5fcada2c5078e18ed1736439c56b0 - 0.01% (8.67 KB)

[#011] sha256:b9f3e00a8fea19fc73598fb2751c5c8fde954af2eefdb0d3cb4979eaa98b3b57 - 2.6% (1.58 MB)

[#012] sha256:0d0789f8cb075e994939d3703987ddbd4b0077321b826a2a4112b11c3419f17b - 8.54% (5.17 MB)

[#013] sha256:da4c7e2676078bf72145776354f8ed5c9cd643d613453ea661aa2c9f1216ff72 - 20.15% (12.2 MB)

[#014] sha256:4e66f693d8c6319b45ec15881a9e14d425872d70118fd8f1c4fb04ad000723d0 - 1.18% (733 KB)

[#015] sha256:74ba30896107197df880c61753cda25f2814749eb1161a481fdb180fffd49b01 - 0.04% (23.6 KB)

[#016] sha256:4d24164cebb672993280c6e848b1cc85b76af7cadc7919a2b11d563192375f58 - 0.0% (363 Bytes)

[#017] sha256:52b540a82eefca6c84aa11ff85a67d38a7fdc57c4dc81780aba6ecbb15eecf68 - 0.0% (2.47 KB)

[#018] sha256:b9f55ef65d5b68762c717428787d9f89ff080c72222365d776c7a74e844d6f8e - 17.12% (10.4 MB)


History
2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

ADD alpine-minirootfs-3.21.3-aarch64.tar.gz / # buildkit

2025-02-14 03:28:36 UTC (buildkit.dockerfile.v0)

CMD ["/bin/sh"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_INI_DIR=/usr/local/etc/php

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_LDFLAGS=-Wl,-O1 -pie

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_VERSION=8.1.32

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_URL=https://www.php.net/distributions/php-8.1.32.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.32.tar.xz.asc

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENV PHP_SHA256=c582ac682a280bbc69bc2186c21eb7e3313cc73099be61a6bc1d2cd337cbf383

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-source /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev patch patchutils readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; curl -fL 'https://github.com/php/php-src/commit/577b8ae4226368e66fee7a9b5c58f9e2428372fc.patch?full_index=1' -o 11678.patch; echo '6edc20c3bb3e7cc13515abce7f2fffa8ebea6cf7469abfbc78fcdc120350b239 *11678.patch' | sha256sum -c -; patch -p1 < 11678.patch; rm 11678.patch; curl -fL 'https://github.com/php/php-src/commit/67259e451d5d58b4842776c5696a66d74e157609.patch?full_index=1' -o 14834.patch; echo 'ed10a1b254091ad676ed204e55628ecbd6c8962004d6185a1821cedecd526c0f *14834.patch' | sha256sum -c -; filterdiff -x '*/NEWS' 14834.patch | patch -p1; rm 14834.patch; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c docker-php-ext-enable sodium # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-php-entrypoint"]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

WORKDIR /var/www/html

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGQUIT

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

EXPOSE map[9000/tcp:{}]

2025-03-13 20:11:59 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 19:46:56 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Thomas Bruederli <[email protected]>

2025-04-15 19:46:56 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker

2025-04-15 19:46:56 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apk upgrade --no-cache # buildkit

2025-04-15 19:47:02 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; if [ "fpm-alpine" = "apache" ]; then a2enmod rewrite; fi; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit

2025-04-15 20:28:01 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; extdir="$(php -r 'echo ini_get("extension_dir");')"; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive $extdir | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit

2025-04-15 20:28:01 UTC (buildkit.dockerfile.v0)

COPY /usr/bin/composer /usr/bin/composer # buildkit

2025-04-15 20:28:01 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit

2025-04-15 20:28:01 UTC (buildkit.dockerfile.v0)

COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit

2025-04-15 20:28:01 UTC (buildkit.dockerfile.v0)

COPY --chmod=0755 docker-entrypoint.sh / # buildkit

2025-04-15 20:28:01 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_VERSION=1.6.10

2025-04-15 20:28:01 UTC (buildkit.dockerfile.v0)

ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5

2025-04-15 20:28:08 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -ex; apk add --no-cache gnupg; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit

2025-04-15 20:28:08 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/docker-entrypoint.sh"]

2025-04-15 20:28:08 UTC (buildkit.dockerfile.v0)

CMD ["php-fpm"]

2025-04-15 20:28:08 UTC (buildkit.dockerfile.v0)

USER 82:82